:root{
    --main-color: rgb(3, 110, 110);
    --primary-color:rgb(20, 3, 59);
    --secondary-color:rgb(43, 26, 82);
    --header-color: rgba(3, 110, 110, 0.938);
}
body{
    background-color: rgba(5, 5, 5, 0.993);
    width:100vw;
    overflow-x: hidden;
    font-family: Arial, Helvetica, sans-serif;
    color: white;
}
*,*::before,*::after{
    margin:0;
    padding:0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 100px;
}
a{
    text-decoration: none;
    font-weight: bolder;
    color: white;
}
/* Navigation section*/
nav{
    display:flex;
    background-color: whitesmoke;
    width:90%;
    height:90px;
    justify-content: space-around;
    align-items: center;
    z-index:1;
    border-bottom: 3px solid rgba(61, 70, 61, 0.322);
    position: fixed;
    z-index: 10;
    width: 100vw;
    background-color: rgba(48, 48, 133, 0.459);
}
nav ul{
    display: flex;
    justify-content: space-evenly;
}
nav li{
    list-style: none;
    width:100px;
    height: 50px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10%;
}
nav li:hover a {
    color: rgb(3, 110, 110);
}
nav h4{
    border: 1px solid rgb(109, 109, 109);
    padding: 1%;
}
/*PROJECT SECTION*/
#projects{
    padding-top: 7rem;
    min-height: fit-content;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.project-header{
    font-weight: bolder;
    margin-bottom: 1.5rem;
    font-size: 2rem;
}
.project-gallery{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 2rem;
    width: 90%;
    flex-wrap: wrap;
}
@media(max-width:850px){
    .project-gallery{
        flex-direction: column;
    }
    
}
@media(max-width:500px){
    .item img{
        max-width: 90%;
    }
}
.item{
    flex: 1 1 300px; /* grow, shrink, base width */
    padding: 1rem;
    transition: transform 0.3s ease-out;
}
.item img{
    width: 100%;       /* fills the parent container */
    max-width: 600px;  /* maximum so it doesn’t get huge */
    height: auto;
    border-radius: 10px;
}
.item p{
    margin-top: 1rem;
}